### Home Classes Methods

### In Files

- lib/stella/engine.rb

### Namespace

- MODULE Stella::Engine::Base
- MODULE Stella::Engine::Checkup

### Methods

- ::load
- ::mode?
- ::run

### Files

- LICENSE.txt
- TODO

### Class/Module Index

Quicksearch

- Stella
- Stella::API
- Stella::API::Unauthorized
- Stella::Asserts
- Stella::CLI
- Stella::Client
- Stella::Common
- Stella::Common::PrivacyMethods
- Stella::ET
- Stella::Engine
- Stella::Engine::Base
- Stella::Engine::Base::ClassMethods
- Stella::Engine::Checkup
- Stella::EventTemplate
- Stella::ForcedRedirect
- Stella::HTTPError
- Stella::Log
- Stella::Log::HTTP
- Stella::PageError
- Stella::RT
- Stella::RepeatRequest
- Stella::Report
- Stella::Report::Content
- Stella::Report::Content::ReportMethods
- Stella::Report::Errors
- Stella::Report::Errors::ReportMethods
- Stella::Report::Headers
- Stella::Report::Metrics
- Stella::Report::Metrics::ReportMethods
- Stella::Report::Plugin
- Stella::Report::Plugin::ClassMethods
- Stella::Report::Statuses
- Stella::Report::Statuses::ReportMethods
- Stella::RequestError
- Stella::RequestTemplate
- Stella::Session
- Stella::StringTemplate
- Stella::TP
- Stella::Testplan
- Stella::Testplan::ClassMethods
- Stella::TestplanQuit
- Stella::Testrun
- Stella::TimeoutError
- Stella::UC
- Stella::Usecase
- Stella::Usecase::ClassMethods
- Stella::UsecaseError
- Stella::UsecaseFail
- Stella::Utils
- Stella::VERSION
- Addressable
- Addressable::URI
- Time
- Time::Units
- Array
- DefaultTestplan
- Float
- Hash
- MatchData
- MetricsPack
- Numeric
- Object
- OpenStruct
- StellaBehavior
- StellaError
- String
- Symbol
- Thread

No matching classes.

# Stella::Engine

### Attributes

modes[R]

### Public Class Methods

load(name) click to toggle source

    # File lib/stella/engine.rb, line 10
    def load(name)
      @modes[name]
    end

mode?(name) click to toggle source

    # File lib/stella/engine.rb, line 7
    def mode?(name)
      @modes.has_key? name
    end

run(testrun, opts={}) click to toggle source

    # File lib/stella/engine.rb, line 13
    def run testrun, opts={}
      case testrun.mode.to_sym
      when :checkup
        Stella::Engine::Checkup.run testrun, opts
      else
        Stella.le "Unknown Engine: #{testrun.mode}"
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.